<!-- <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm"> -->
    <p-panel *ngIf="displayFollowUp">
        <p-header>
            Follow UP
        </p-header>

        <wizard navBarLayout="large-filled-symbols">
            <wizard-step title="" navigationSymbol="1" navigationSymbolFontFamily="Goudy Stout" (stepEnter)="enterStep($event)">
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <label>Proses Follow up dilakukan dengan cara :</label><br>
                    <div>
                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_PHONE" label="Telepon" [(ngModel)]="answer.answer01"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_VISIT" label="Kunjungan" [(ngModel)]="answer.answer01"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_WALKIN" label="Walk-in" [(ngModel)]="answer.answer013"></p-radioButton></div>
                        <div class="ui-g-12" style="padding-left:30px;" [hidden]="answer.answer013 != FOLLOW_UP_BY_WALKIN">
                            <div class="ui-g-9 ui-md-9 ui-lg-9">
                                <label>Lokasi Walk-in :</label><br>
                                    <div>
                                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_DEALER" label="Dealer" [(ngModel)]="answer.answer01"></p-radioButton></div>
                                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_EVENT" label="Event" [(ngModel)]="answer.answer01"></p-radioButton></div>
                                        <div class="ui-g-12"><p-radioButton name="group1" [value]="FOLLOW_UP_BY_POS" label="Pos" [(ngModel)]="answer.answer01"></p-radioButton></div>
                                        <div class="ui-g-12" style="padding-left:30px;" [hidden]="answer.answer011 != FOLLOW_UP_BY_POS">
                                            <div class="ui-g-9 ui-md-9 ui-lg-9">
                                                <label>Pos</label>
                                                <div class="input-group">
                                                        <textarea pInputTextarea  class="ui-g-11" id="field_other" name="Lokasi Pos"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <button *ngIf="answer.answer013 != FOLLOW_UP_BY_WALKIN" pButton type="button" [disabled]="answer.answer01 == null || isSaving"
                        label="LANJUT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        nextStep>
                    </button>
            
                    <button *ngIf="answer.answer013 == FOLLOW_UP_BY_WALKIN" pButton type="button" [disabled]="isSaving"
                        label="LANJUT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        goToStep="2">
                    </button>

                </div>
            </wizard-step>
            <wizard-step title="" navigationSymbol="2" navigationSymbolFontFamily="Goudy Stout" optionalStep>
            
                <ng-container *ngIf="answer.answer01 == FOLLOW_UP_BY_PHONE; then phoneresult else visitresult"></ng-container>

                <ng-template #phoneresult>
                    <!-- Answer 1 == Telepon -->
                    <div class="ui-g-12 ui-md-12 ui-lg-12">
                        <label>Apakah nomor bisa dihubungi?</label><br>
                        <div>
                            <div class="ui-g-12"><p-radioButton name="group2" value="yes" label="Ya" [(ngModel)]="answer.answer02"></p-radioButton></div>
                            <div class="ui-g-12"><p-radioButton name="group2" value="no" label="Tidak" [(ngModel)]="answer.answer02"></p-radioButton></div>
                        </div>
                    </div>
                </ng-template>

                <ng-template #visitresult>
                    <!-- Answer 1 == Kunjungan -->
                    <div class="ui-g-12 ui-md-12 ui-lg-12">
                        <label>Apakah bisa ditemui?</label><br>
                        <div>
                            <div class="ui-g-12"><p-radioButton name="group2" value="yes" label="Ya" [(ngModel)]="answer.answer02"></p-radioButton></div>
                            <div class="ui-g-12"><p-radioButton name="group2" value="no" label="Tidak" [(ngModel)]="answer.answer02"></p-radioButton></div>
                        </div>
                    </div>
                </ng-template>

                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <button pButton type="button"
                        label="KEMBALI" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        previousStep>
                    </button>
                    <button pButton type="button"
                        label="LANJUT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving || answer.answer02 == null"
                        nextStep>
                    </button>
                </div>
            </wizard-step>
            <wizard-step title="" navigationSymbol="3" navigationSymbolFontFamily="Goudy Stout">

                <ng-container *ngIf="(answer.answer01 == FOLLOW_UP_BY_PHONE && answer.answer02 == 'yes') || (answer.answer01 == FOLLOW_UP_BY_VISIT && answer.answer02 == 'yes')
                || (answer.answer01 == FOLLOW_UP_BY_DEALER) 
                || (answer.answer01 == FOLLOW_UP_BY_EVENT) 
                || (answer.answer01 == FOLLOW_UP_BY_POS)  ;then interest else reschedule"></ng-container>
                
                <ng-template #interest>
                    <!-- (Answer 1 == Telepon && Answer 2 == Ya)-->
                    <div class="ui-g-12 ui-md-12 ui-lg-12">
                        <label>Apakah Prospect tertarik?</label><br>
                        <div>
                            <div class="ui-g-12"><p-radioButton name="group3" value="yes" label="Ya" [(ngModel)]="answer.answer03"></p-radioButton></div>
                            <div class="ui-g-12"><p-radioButton name="group3" value="no" label="Tidak" [(ngModel)]="answer.answer03"></p-radioButton></div>
                        </div>
                    </div>
                </ng-template>

                <ng-template #reschedule>

                        <div class="ui-g-12 ui-md-12 ui-lg-12">
                            <label>Follow up berikutnya?</label><br>
                            <div>
                                <div class="ui-g-12"><p-radioButton name="groupReschedule" [value]="FOLLOW_UP_BY_PHONE" label="Telepon"></p-radioButton></div>
                                <div class="ui-g-12"><p-radioButton name="groupReschedule" [value]="FOLLOW_UP_BY_VISIT" label="Kunjungan"></p-radioButton></div>
                                <div class="ui-g-12"><p-radioButton name="groupReschedule" [value]="FOLLOW_UP_BY_WALKIN" label="Walk-in"></p-radioButton></div>
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-12 ui-lg-12">
                            <div class="ui-g-4 ui-md-4 ui-lg-4">
                                <label>Tanggal</label>
                                <div class="input-group input-calendar">
                                    <p-calendar inputId="field_dateCreate" name="input_dateCreate1"
                                                [(ngModel)]="nextFollowUp" 
                                                dateFormat="dd-mm-yy" 
                                                showTime="true"
                                                hourFormat="24"></p-calendar>
                                </div>
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-12 ui-lg-12">
                            <div class="ui-g-9 ui-md-9 ui-lg-9">
                                <label>Catatan</label>
                                <div class="input-group">
                                    <textarea pInputTextarea  class="ui-g-11" id="field_other" name="note" [(ngModel)]="communicationEventProspect.note"
                                    ></textarea>
                                </div>
                            </div>
                        </div>

                </ng-template>
            
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <button *ngIf="answer.answer02 == null" pButton type="button"
                        label="KEMBALI" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        goToStep="0">
                    </button>
                    <button *ngIf="answer.answer02 != null" pButton type="button"
                        label="KEMBALI" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        previousStep>
                    </button>
                    <button *ngIf="(answer.answer03 != 'yes' && answer.answer02 != 'no')" pButton type="button" [disabled]="answer.answer03 == null"
                        label="LANJUT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving || answer.answer03 == null"
                        nextStep>
                    </button>
                    <button *ngIf="answer.answer03 == 'yes' || answer.answer02 == 'no'" pButton type="button"
                        label="SUBMIT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        (click)="save()">
                    </button>

            </wizard-step>
            <wizard-step title="" navigationSymbol="4" navigationSymbolFontFamily="Goudy Stout">
                
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <label>Alasan Tidak Tertarik?</label><br>
                    <div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Belum Butuh" label="Belum Butuh" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Tidak Berminat" label="Tidak Berminat" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Beli Pada Dealer Lain" label="Beli Pada Dealer Lain" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Beli Di Kompetitor" label="Beli Di Kompetitor" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Masih Ada Cicilan" label="Masih Ada Cicilan" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12"><p-radioButton name="group4" value="Lainnya" label="Lainnya" [(ngModel)]="answer.answer04"></p-radioButton></div>
                        <div class="ui-g-12" style="padding-left:30px;">
                            <textarea pInputTextarea  class="ui-g-11" id="field_other" name="other"  [(ngModel)]="answer.note" [disabled]="answer.answer04 != 'Lainnya'"></textarea>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <button pButton type="button"
                        label="KEMBALI" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        previousStep>
                    </button>
                    <button pButton type="button"
                        label="SUBMIT" 
                        icon=""
                        class="ui-button-danger flat-label-button"
                        [disabled]="isSaving"
                        (click)="save()">
                    </button>
                </div>
            </wizard-step>
        </wizard>
    </p-panel>
<!-- </form> -->
<p-confirmDialog></p-confirmDialog>

<p-dialog header="Confirmation" [(visible)]="displayConfirmNextForm">
    Where do you want to next step?
    <p-footer>
        <button type="button" pButton icon="fa-share" (click)="goToFormMinat()" label="Form Minat"></button>
        <button type="button" pButton icon="fa-share" (click)="goToDraftVSO()" label="Draft VSO"></button>
        <button type="button" pButton icon="fa-close" (click)="displayConfirmNextForm=false;previousState();" label="Cancel"></button>
    </p-footer>
</p-dialog>

<jhi-prospect-person-vso-landing-page
    *ngIf="!displayFollowUp"
    [idCommunicationEventProspect] = "idCommunicationEventProspect"
    [idprospect] = "idProspect"
></jhi-prospect-person-vso-landing-page>
